package Ensembl.artemis;
final public class RequestedSequenceTooLongHolder
	implements org.omg.CORBA.portable.Streamable
{
	public Ensembl.artemis.RequestedSequenceTooLong value;

	public RequestedSequenceTooLongHolder ()
	{
	}
	public RequestedSequenceTooLongHolder (Ensembl.artemis.RequestedSequenceTooLong initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return Ensembl.artemis.RequestedSequenceTooLongHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = Ensembl.artemis.RequestedSequenceTooLongHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		Ensembl.artemis.RequestedSequenceTooLongHelper.write(_out,value);
	}
}
